Page MenuHomeMiraheze

Import previously-defaced MediaWiki database
Closed, ResolvedPublic

Description

I am would like to attempt to import the mysqldumps that I have from a previously-defaced mediawiki. I had a mediawiki account with another provider that - in spring of 2017 began to be defaced.

During "clean-up" from the defacing - the server's version of Ubuntu was upgraded to one that no longer supported MediaWiki (formerly was using the apt/repository install). After that I never did try hard enough to have success at re-getting the wiki to run properly.

I am not certain which version of MediaWiki I was on at the time - and I have no idea as to the integrity of the database dump (other than that I was able to import it to sqlite3 format and poke around with the little bit of SQL that I'm familiar with - and it appears to all "be there").

If possible, I would like the mysqldump to be restored to "vise.miraheze.org" so that I may continue cleaning up the data and restoring the Vise wiki. The mysqldump I have is ~143MB.

Is this a possible/reasonable request?
If so, is there a best way to provide this file?

Event Timeline

dayid created this task.Dec 5 2018, 21:02
Paladox added a subscriber: Paladox.Dec 12 2018, 22:10

Hi, yes we can restore from the mw backup. Best if you send the dump through staff@miraheze.org .

dayid added a comment.Dec 13 2018, 03:20

I do not have any mail accounts that would allow a 145MB attachment. Is there a better method?

You could upload the dump to a cloud service (such as Google Drive or Dropbox), and send the link to staff@miraheze.org.

dayid added a comment.Dec 17 2018, 16:54

I've sent link to staff@miraheze.org; passphrase for the data is: T3865

Please let me know if there's any further assistance I can be - I appreciate the efforts towards this.

Paladox added a comment.Dec 17 2018, 18:03

Hi, thanks! I've generated the mediawiki dump and have started the import into your wiki now!

Paladox closed this task as Resolved.Dec 17 2018, 20:33
Paladox claimed this task.

The import is now finished :)